/**
** This software is distributed under the terms of the General Public License.  
** 
** Program : BuildIT!
** Version : 0.2
** Authors : Artur Prusakiewicz <prusak@mat.uni.torun.pl>
**	     Michal Switala <scisly@mat.uni.torun.pl>
** E-MAIL  : build@mat.uni.torun.pl
** WWW     : http://www.mat.uni.torun.pl/~scisly/buildit/
**           http://www.mat.uni.torun.pl/~prusak/buildit/
**/

#ifndef _USERPREFS_H
#define _USERPREFS_H

#include "build.h"

#include <qdir.h> 
#include <qwidget.h>
#include <qlabel.h>
#include <qpushbt.h>
#include <qtabdlg.h>
#include <qcombo.h>
#include <qstring.h>
#include <qcheckbox.h>
#include <qframe.h>
#include <qmessagebox.h>
#include <qtstream.h>

class UserPrefs : public QWidget
{
  Q_OBJECT
public:
  UserPrefs(QWidget* parent, const char* name, QString path);
  void show(int options[]);
  void loadConfig(int opt[]);
  void setPref(int which, int val) { prefsTab[which] = val; }
  int getPref(int which) { return prefsTab[which]; }
  void load();
public slots:
  void saveConfig();
  void eventHelp();
  void cancelIt(); 
  void changeOptions();

  void eventModel(int);
  void toolChange(bool);
  void listChange(bool);
  void treeChange(int);
  void commChange(bool);
signals:
  void updateSig(int tab[]);
private:
  QTabDialog *tab;
  QString configPath;
  int prefsTab[PREFNUMBER];
};

#endif
