/**
** This software is distributed under the terms of the General Public License.  
** 
** Program : BuildIT!
** Version : 0.2
** Authors : Artur Prusakiewicz <prusak@mat.uni.torun.pl>
**	     Michal Switala <scisly@mat.uni.torun.pl>
** E-MAIL  : build@mat.uni.torun.pl
** WWW     : http://www.mat.uni.torun.pl/~scisly/buildit/
**           http://www.mat.uni.torun.pl/~prusak/buildit/
**/
#ifndef _MENU_BAR
#include "../components/MyMenuBar.h"
#endif
#include <stdio.h>
#include <stdlib.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qlined.h>
#include <qbttngrp.h>
#include <qstring.h>
#include <qlistbox.h>
#include <qpushbt.h>
#include <qchkbox.h> 

class menu;

class sensor:public QLineEdit
{
  Q_OBJECT
public:
  sensor(QWidget* parent=NULL,const char* name=NULL);
  int getSHC(){return shc;}
  int getMOD(){return mod;}
  void setWho(int val){who=val;}
private:
  menu *tosend;
  int shc,mod,who;
  void keyPressEvent(QKeyEvent *event);
};

class menu:public QWidget
{
  Q_OBJECT
public:
  menu(QWidget* parent = NULL,const char* name = NULL);
  virtual ~menu();
  void setLabel(const char *val){label->setText(val);};
  const char *getLabel(){return label->text();}
  void setShc(int shc,int mod,QString shcString);
  int getShc(){return shortcut;}
  int getMod(){return modifier;}
  QString getKeys(){return keys;}
  void addMenuItem(MyMenuItem *val);
  void refreshIT(int val);
  void setHelp(bool val){hp->setChecked(val);}
  bool getHelp(){return hp->isChecked();}
  QListM(MyMenuItem) items;
protected slots:
  void addItem();
  void addSep();
  void addSub();
  void rmIT();
  void setIT(int val);
  void clrIT(); 
  void check();
  void state();
private:
  int sub;
  QLabel *shcLabel,*info,*comment;
  QString keys;
  int shortcut,modifier;
  QLineEdit *label,*item;
  QListBox *list;
  QPushButton *clear;
  QCheckBox *cb,*st,*hp;
  sensor *mySensor,*itemSensor;
};





